package ${package.Entity};

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
<#if superEntityClass?? && superEntityClass != "">
    import ${superEntityClass};
</#if>
<#list table.fields as field>
    <#if field.propertyType == "LocalDateTime">
        import java.time.LocalDateTime;
        <#break>
    </#if>
</#list>

/**
* ${table.comment!} 实体类
*
* @author ${author!"admin"}
* @date ${.now?string("yyyy-MM-dd")}
*/
@Data
@TableName("${table.name}")
public class ${entity} <#if superEntityClass?? && superEntityClass != "">extends ${superEntityClass?substring(superEntityClass?last_index_of(".") + 1)}</#if> {

private static final long serialVersionUID = 1L;

<#list table.fields as field>
<#-- 修复：添加 superEntityColumns 存在性检查 -->
    <#if superEntityColumns?? && !superEntityColumns?seq_contains(field.name)>
        /**
        * ${field.comment!}
        */
        <#if field.keyFlag>
            @TableId(value = "${field.name}", type = IdType.${idType!"AUTO"})
        <#else>
            @TableField(value = "${field.name}"<#if field.fill?? && field.fill != "">, fill = FieldFill.${field.fill?upper_case}</#if>)
        </#if>
        <#if field.logicDeleteField>
            @TableLogic
        </#if>
        private ${field.propertyType} ${field.propertyName};
    </#if>
</#list>
}